Subject: [bug#64643] [PATCH] gnu: ghc-8.10: Fix build on i686-linux.

From: Lars-Dominik Braun <[email-masked]>
Date: Sun, 16 Jul 2023 11:03:51 +0200

Hi,

> Yep, you can click the "View build on https://bordeaux.guix.gnu.org"
> links from this page [1] to find the build logs for all the failing
> builds.
> 
> 1: https://data.qa.guix.gnu.org/gnu/store/sp4csvzxjzzjhmyp7sfdxg3ypqpysh2a-ghc-8.10.7.drv

huh, a segfault. Weird. Perhaps it’s running out of address space.

> And yes, this patch only affects i686-linux as confirmed by [2].

Ah, you’re right. I missed this patch context:

>           #$@(if (string-prefix? "i686" (or (%current-target-system)
>                                             (%current-system)))

Looks good to me then!

Cheers,
Lars